> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# View object.

> View object of certain ID.

### Example

```
GET /api/object/M1234567  # view model data
GET /api/object/X1234567  # view experiment data
GET /api/object/S1234566  # view share data
```



## OpenAPI

````yaml get /api/object/{objid}
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /api/object/{objid}:
    get:
      tags:
        - Object
      summary: View object.
      description: |-
        View object of certain ID.

        ### Example

        ```
        GET /api/object/M1234567  # view model data
        GET /api/object/X1234567  # view experiment data
        GET /api/object/S1234566  # view share data
        ```
      operationId: coinfer_apis_unified_api_view_object
      parameters:
        - in: path
          name: objid
          schema:
            title: Objid
            type: string
          required: true
        - in: query
          name: object_type
          schema:
            default: ''
            enum:
              - model
              - experiment
              - share
              - event
              - callback
              - relation
              - data
              - workflow
              - ''
            title: Object Type
            type: string
          required: false
        - in: query
          name: share_id
          schema:
            default: ''
            description: |2-

                              If this field is empty, returns the latest version of the objects.
                              otherwise returns the specified share snapshot
            title: Share Id
            type: string
          required: false
          description: |2-

                            If this field is empty, returns the latest version of the objects.
                            otherwise returns the specified share snapshot
        - in: query
          name: sampledata
          schema:
            default: false
            title: Sampledata
            type: boolean
          required: false
        - in: query
          name: fmt
          schema:
            default: csv
            enum:
              - csv
              - grist
              - arviz
            title: Fmt
            type: string
          required: false
        - in: query
          name: n_iteration
          schema:
            default: 0
            title: N Iteration
            type: integer
          required: false
        - in: query
          name: cloudwatch_log
          schema:
            default: false
            title: Cloudwatch Log
            type: boolean
          required: false
        - in: query
          name: batch_id
          schema:
            default: ''
            title: Batch Id
            type: string
          required: false
        - in: query
          name: run_id
          schema:
            default: ''
            title: Run Id
            type: string
          required: false
        - in: query
          name: view-analyzer
          schema:
            default: false
            description: view analyzer result
            title: View-Analyzer
            type: boolean
          required: false
          description: view analyzer result
        - in: query
          name: stdlog
          schema:
            default: false
            title: Stdlog
            type: boolean
          required: false
        - in: query
          name: plot_func
          schema:
            default: ''
            title: Plot Func
            type: string
          required: false
        - in: query
          name: plot_chain
          schema:
            default: ''
            title: Plot Chain
            type: string
          required: false
        - in: query
          name: plot_var
          schema:
            default: ''
            title: Plot Var
            type: string
          required: false
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SuccRsp_Annotated_Union_ExperimentRsp__ViewModelsRsp__ExperimentSampleDataRsp__ExperimentCloudwatchLogRsp__GetExperimentRunInfoRsp__StdLogRsp__CreateDataRsp__ViewAnalyzerRsp__CreateWorkflowRsp___FieldInfo_annotation_NoneType__required_True__discriminator__object_type____
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - SharingAuth: []
        - GlobalAuth: []
components:
  schemas:
    SuccRsp_Annotated_Union_ExperimentRsp__ViewModelsRsp__ExperimentSampleDataRsp__ExperimentCloudwatchLogRsp__GetExperimentRunInfoRsp__StdLogRsp__CreateDataRsp__ViewAnalyzerRsp__CreateWorkflowRsp___FieldInfo_annotation_NoneType__required_True__discriminator__object_type____:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          discriminator:
            mapping:
              data:
                $ref: '#/components/schemas/CreateDataRsp'
              experiment:
                $ref: '#/components/schemas/ExperimentRsp'
              experiment.cloudwatch_log:
                $ref: '#/components/schemas/ExperimentCloudwatchLogRsp'
              experiment.run_info:
                $ref: '#/components/schemas/GetExperimentRunInfoRsp'
              experiment.sampledata:
                $ref: '#/components/schemas/ExperimentSampleDataRsp'
              experiment.stdlog:
                $ref: '#/components/schemas/StdLogRsp'
              model:
                $ref: '#/components/schemas/ViewModelsRsp'
              workflow:
                $ref: '#/components/schemas/CreateWorkflowRsp'
              workflow.analyzer:
                $ref: '#/components/schemas/ViewAnalyzerRsp'
            propertyName: object_type
          oneOf:
            - $ref: '#/components/schemas/ExperimentRsp'
            - $ref: '#/components/schemas/ViewModelsRsp'
            - $ref: '#/components/schemas/ExperimentSampleDataRsp'
            - $ref: '#/components/schemas/ExperimentCloudwatchLogRsp'
            - $ref: '#/components/schemas/GetExperimentRunInfoRsp'
            - $ref: '#/components/schemas/StdLogRsp'
            - $ref: '#/components/schemas/CreateDataRsp'
            - $ref: '#/components/schemas/ViewAnalyzerRsp'
            - $ref: '#/components/schemas/CreateWorkflowRsp'
          title: Data
      required:
        - status
        - data
      title: >-
        SuccRsp[Annotated[Union[ExperimentRsp, ViewModelsRsp,
        ExperimentSampleDataRsp, ExperimentCloudwatchLogRsp,
        GetExperimentRunInfoRsp, StdLogRsp, CreateDataRsp, ViewAnalyzerRsp,
        CreateWorkflowRsp], FieldInfo(annotation=NoneType, required=True,
        discriminator='object_type')]]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    CreateDataRsp:
      properties:
        object_type:
          const: data
          title: Object Type
          type: string
        name:
          title: Name
          type: string
        description:
          title: Description
          type: string
        short_id:
          title: Short Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        path:
          default: ''
          title: Path
          type: string
        fmt:
          default: raw
          title: Fmt
          type: string
        tags:
          description: Data tags
          items:
            $ref: '#/components/schemas/DataTag'
          title: Tags
          type: array
      required:
        - object_type
        - name
        - description
        - short_id
        - created_at
        - updated_at
      title: CreateDataRsp
      type: object
    ExperimentRsp:
      properties:
        object_type:
          const: experiment
          title: Object Type
          type: string
        short_id:
          default: ''
          title: Short Id
          type: string
        name:
          default: ''
          title: Name
          type: string
        model_id:
          default: ''
          title: Model Id
          type: string
        status:
          default: ''
          title: Status
          type: string
        meta:
          title: Meta
        n_chains:
          default: 0
          title: N Chains
          type: integer
        n_variables:
          default: 0
          title: N Variables
          type: integer
        n_samples:
          default: 0
          title: N Samples
          type: integer
        sample_update_time:
          default: ''
          format: date-time
          title: Sample Update Time
          type: string
        run_on:
          default: ''
          title: Run On
          type: string
        input:
          anyOf:
            - type: string
            - type: 'null'
          title: Input
        output:
          anyOf:
            - type: string
            - type: 'null'
          title: Output
        model_name:
          title: Model Name
          type: string
        workflow_id:
          default: ''
          title: Workflow Id
          type: string
        workflow_name:
          default: ''
          title: Workflow Name
          type: string
      required:
        - object_type
        - model_name
      title: ExperimentRsp
      type: object
    ExperimentCloudwatchLogRsp:
      properties:
        object_type:
          const: experiment.cloudwatch_log
          title: Object Type
          type: string
        logs:
          items:
            maxItems: 2
            minItems: 2
            prefixItems:
              - type: integer
              - type: string
            type: array
          title: Logs
          type: array
      required:
        - object_type
        - logs
      title: ExperimentCloudwatchLogRsp
      type: object
    GetExperimentRunInfoRsp:
      properties:
        object_type:
          const: experiment.run_info
          title: Object Type
          type: string
        status:
          title: Status
          type: string
      required:
        - object_type
        - status
      title: GetExperimentRunInfoRsp
      type: object
    ExperimentSampleDataRsp:
      properties:
        object_type:
          const: experiment.sampledata
          title: Object Type
          type: string
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        progress:
          title: Progress
          type: string
        message:
          default: ''
          title: Message
          type: string
      required:
        - object_type
        - url
        - progress
      title: ExperimentSampleDataRsp
      type: object
    StdLogRsp:
      properties:
        object_type:
          const: experiment.stdlog
          title: Object Type
          type: string
        logs:
          title: Logs
          type: string
      required:
        - object_type
        - logs
      title: StdLogRsp
      type: object
    ViewModelsRsp:
      properties:
        object_type:
          const: model
          title: Object Type
          type: string
        id:
          title: Id
          type: integer
        short_id:
          title: Short Id
          type: string
        name:
          title: Name
          type: string
        content:
          title: Content
        meta:
          $ref: '#/components/schemas/_ModelMetaInRsp'
        tags:
          items:
            type: string
          title: Tags
          type: array
        lambda_image_url:
          anyOf:
            - type: string
            - type: 'null'
          default: ''
          title: Lambda Image Url
        lambda_image_name:
          anyOf:
            - type: string
            - type: 'null'
          default: ''
          title: Lambda Image Name
      required:
        - object_type
        - id
        - short_id
        - name
        - meta
        - tags
      title: ViewModelsRsp
      type: object
    CreateWorkflowRsp:
      properties:
        object_type:
          const: workflow
          title: Object Type
          type: string
        short_id:
          title: Short Id
          type: string
        name:
          title: Name
          type: string
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Id
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        data_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Id
        data_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Name
        data_fmt:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Fmt
        experiment_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Id
        experiment_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Experiment Name
        analyzer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Analyzer Id
        analyzer_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Analyzer Name
        created_at:
          format: date-time
          title: Created At
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
        startup_script:
          anyOf:
            - type: string
            - type: 'null'
          title: Startup Script
        settings:
          anyOf:
            - type: string
            - type: 'null'
          title: Settings
        data_script:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Script
        share_info:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Share Info
      required:
        - object_type
        - short_id
        - name
        - created_at
        - updated_at
      title: CreateWorkflowRsp
      type: object
    ViewAnalyzerRsp:
      properties:
        object_type:
          const: workflow.analyzer
          title: Object Type
          type: string
        url:
          title: Url
          type: string
      required:
        - object_type
        - url
      title: ViewAnalyzerRsp
      type: object
    DataTag:
      enum:
        - anonymous
      title: DataTag
      type: string
    _ModelMetaInRsp:
      properties:
        github:
          anyOf:
            - type: string
            - type: 'null'
          title: Github
        commit_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Id
        origin_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Origin Url
        fixed_version_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Fixed Version Url
      title: _ModelMetaInRsp
      type: object
  securitySchemes:
    SharingAuth:
      type: apiKey
      in: header
      name: X-Share-Password
    GlobalAuth:
      type: http
      scheme: bearer

````